SIVP Toolbox
Last update : March, 2006

imcrop - Crop image

### Calling Sequence

  `subim = imcrop(im, rect)`

### Parameters

- `im`: An image, which can be one channel or three channel image.
- `rect`:`rect=[x, y, width, height]` is a vector. `(x, y)` is the top-left corner of the rentangle.
- `subim`:`subim` is the sub-region of the image `im`.

### Description

Crop image at regin `rect` to `subim`.

### Examples

        im = imread(SCI + '/contrib/sivp/images/lena.png');
        subim = imcrop(im, [20, 30, 200, 300]);
        imshow(subim);

### TODO

If `rect` is not specified, a window which showing the image should be poped out, and let the user to select the region using mouse.

### Authors

  Shiqi Yu <shiqi.yu[at]gmail.com>

### Availability

The latest version of SIVP can be found at

http://sivp.sourceforge.net

### See Also

`imresize`,